samtools-index(1)

NAME
samtools index - indexes SAM/BAM/CRAM files

SYNOPSIS

samtools index [-bc] [-m INT] aln.sam|aln.bam|aln.cram [out.index]

DESCRIPTION

Index a coordinate-sorted BGZIP-compressed SAM, BAM or CRAM file for fast random access. Note for SAM this only works if the file has been BGZF compressed first. This index is needed when region arguments are used to limit samtools view and similar commands to particular regions of interest. If an output filename is given, the index file will be written to out.index. Otherwise, for a CRAM file aln.cram, index file aln.cram.crai will be created; for a BAM file aln.bam, either aln.bam.bai or aln.bam.csi will be created; and for a compressed SAM file aln.sam.gz, either aln.sam.gz.bai or aln.sam.gz.csi will be created, depending on the index format selected. The BAI index format can handle individual chromosomes up to 512 Mbp (2^29 bases) in length. If your input file might contain reads mapped to positions greater than that, you will need to use a CSI index.

OPTIONS

-b  Create a BAI index. This is currently the default when no format options are used.

-c  Create a CSI index. By default, the minimum interval size for the index is 2^14, which is the same as the fixed value used by the BAI format.

-m INT
    Create a CSI index, with a minimum interval size of 2^INT.

-@, --threads INT
    Number of input/output compression threads to use in addition to main thread [0].

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1), samtools-idxstats(1), samtools-view(1)

Samtools website: <http://www.htslib.org/>